
.namespace StartMenu --  Menu_Principal
 
-- Ce script gère les boutons du menu principal

function OnEnable()

end

function OnUpdate(dt)
end

function OnDisable()
end

function OnWbpMouseLUp()
	
	PlaySoundEffect("int_click")
	self.Parent.SetFrame(0)
	
	if self.Name == "social_text" then
		OPCore.ExecuteFile("http://www.cazap.fr#utm_source=totcs&utm_medium=jeupc&utm_term=totcspclink")
	end
	if self.Name == "social_tw" then
		OPCore.ExecuteFile("http://twitter.com/cazap_games")
		
	end
	if self.Name == "social_fb" then
		OPCore.ExecuteFile("http://facebook.com/cazap.games")
	end
	-- Nouvelle Partie
	if self.Name == "New_Game_area" then
		OPLog.Log("Nouvelle partie")
		
		if ProfilConfig.Get("Profil"..ProfilConfig.Get("CurrentProfil").."_lastscreen") ~= "" then
			-- Décsactive les boutons du menus principal
			curseur.Flags_Visible = false
			Menu_StartGame_Parent.Enabled = false
			
			-- Affiche la popup de confirmation d'écrasement de l'ancienne partie
--			New_Game_popup.Enabled = true
			PopupManager.OpenPopupYN("msg_ig_nouvelle_partie",nil)
		else
			Menu_StartGame_Parent.Enabled = false
			PopupManager.OpenPopupYN("msg_ig_expert",nil,GlobalFunctions.GetText("btn_expert"),GlobalFunctions.GetText("btn_normal"))

		end
		
		PlaySoundEffect("int_click")
		OPLog.Log("onmouselup "..self.Name)
		
	-- Continue
	elseif self.Name == "continue_area" then
		OPLog.Log("Continue")
		
		local currentprofil = ProfilConfig.Get("CurrentProfil")
		
		-- Charge les données sauvegardées
		if Menu_Start.g_needloadgame == true then
			OPLog.Log("CHARGEMENT DU JEU")
			local loadgameok = SaveManager.loadGame("Profil"..currentprofil)

			-- Problème dans le chargement des données
			if loadgameok == false then
				OPLog.Log("Problème chargement données jeu")
				
				-- Décsactive les boutons du menus principal
				curseur.Flags_Visible = false
				Menu_StartGame_Parent.Enabled = false
				
				-- Affiche la popup qui explique le problème
				--Menu_principal_popup_erreurchargementjeu.Enabled = true
				
				return
				
			end
			
			Menu_Start.g_needloadgame = false
		end
		
		-- Va au dernier écran
		local screen = ProfilConfig.Get("Profil"..currentprofil.."_lastscreen")
		NavigationManager.SwitchTo(nil,screen)
		Menu_Start.Enabled = false
	-- Options
	elseif self.Name == "Settings_area" then
		OPLog.Log("Menu options")

		curseur.Flags_Visible = false
		
		-- Désactive le menu principal
		
		Menu_StartGame_Parent.Enabled = false
		
		-- Active le menu options
		--Menu_options_cadre.Flags_Visible = true
		--Menu_options_parent.Enabled = true
		Settings_popup.Enabled = true
		
		--Profils
	elseif self.Name == "Profiles_area" then
		OPLog.Log("Menu Profils")
		
		
		
		-- Désactive le menu principal
		Menu_StartGame_Parent.Enabled = false
		curseur.Flags_Visible = false
	
		-- Active le menu profil
		Profiles_popup.Enabled = true
		
	--Aide
	elseif self.Name == "Help_area" then
		OPLog.Log("Menu Help")
		
		
		
		-- Désactive le menu principal
		Menu_StartGame_Parent.Enabled = false
		curseur.Flags_Visible = false
	
		-- Active le menu aide
		Help_popup.Enabled = true

	--Crédits
	elseif self.Name == "Credit_area" then
		OPLog.Log("Menu Credit")
		curseur.Flags_Visible = false
		-- Désactive le menu principal
		Menu_StartGame_Parent.Enabled = false
		
			--Active le background des Crédits
		Credits_popup.Enabled = true
		Credits_parent.Enabled = true
	
		-- Active les Crédits-- Création unit parent pour détruie les enfants
		local textparent = OPUnitFactory.CreateUnit("Display2D")
		textparent.Parent = Credits_parent
		textparent.Name = "textparent"
		textparent.Enabled = true
		
		-- Lance les crédits
		Font_Arial22_Bold.Enabled = true
		New_CreditsText.StartCredits()
		
	-- Quitter
	elseif self.Name == "Quit_area" then
		OPLog.Log("Quitter")
		
		-- Décsactive les boutons du menus principal
		curseur.Flags_Visible = false
		Menu_StartGame_Parent.Enabled = false
		
--		 Affiche la popup de confirmation 
--		Quit_popup.Enabled = true
		PopupManager.OpenPopupYN("msg_ig_quitte",nil)

	-- Gestion des profils
	elseif self.Name == "Menu_principal_profils_area" then
		OPLog.Log("Menu profils")
		
		curseur.Flags_Visible = false
		
		-- Désactive le menu principal
		--Menu_principal_cadre.Flags_Visible = false
		Menu_StartGame_Parent.Enabled = false
		
		-- Active le menu profils
		--Menu_profils_cadre.Enabled = true
		--Menu_profils_cadre.Flags_Visible = true
		--Menu_profils_parent.Enabled = true
		

		
	end
	return true
end

--TODO ce systéme de onmouseon ,off est à bannir -> utiliser le curseur.lua
function OnMouseOn()
	if self.Name == "social_text" or self.Name == "social_fb" or self.Name == "social_tw" then
		self.SetFrame(1)
	else
		self.Parent.SetFrame(1)	
	end	
end

function OnMouseOff()
	--self.curseur.Flags_Visible = false
	if self.Name == "social_text" or self.Name == "social_fb" or self.Name == "social_tw" then
		self.SetFrame(0)
	else
		self.Parent.SetFrame(0)	
	end	
end


